:root {
    /* --background: #3c3939;
    --color: #ddd; */
    --background: rgb(193, 194, 181);
    --color: #323528;
    --color-dark: #323528;
    --color-light: rgb(199, 198, 198);
    --color-secondary: var(--color);
    --background-secondary: var(--background);

}

/* html, body {
    height: 100dvh;
    overflow: hidden;
} */

body {
    width: 100%;
    display: flex;
    justify-content: center;
}

main {
    --record-size: min(80vw, 400px);
    width: var(--record-size);
}

main.archive {
    height: 100%;
    /* display: flex;
    align-items: start;
    justify-content: center; */
    margin-bottom: 5rem;
}

.btn-home {
    text-align: center;
    display: block;
}

#records-list {
    list-style: none;
    margin: 5rem 0 0;
    border: 5px solid var(--background);
    outline: 1px solid var(--color);
}

#records-list li {
    display: block;
    width: 100%;
    height: 2rem;
    --vinyl-color: #fff;
    --vinyl-color-text: color-mix(var(--vinyl-color), #000 70%);
    --vinyl-color-secondary: #000;
    --vinyl-color-secondary-text: color-mix(var(--vinyl-color-secondary), #000 50%);
}

#records-list li {
    position: relative;
}

#records-list li a {
    display: flex;
    overflow: hidden;
    /* justify-content: space-between; */
    gap: 0.5rem;
    text-align: center;
    width: 100%;
    padding: 0 1rem;
    /* font-size: 1.2rem; */
    height: var(--record-size);
    text-decoration: none;
    background: var(--vinyl-color);
    overflow: hidden;
    transition: 0.15s ease-out transform;
    text-align: left;
    border-top: 2px groove var(--vinyl-color);
    border-right: 2px ridge var(--vinyl-color);
    color: var(--vinyl-color-text);
}

#records-list li a:hover {
    transform: translateY(-3rem);
}

#records-list li.is-dark a span {
    color: var(--color-light);
}

#records-list li a .meta-artist {
    font-size: 0.8rem;
    visibility: hidden;
}

#records-list li a:hover .meta-artist {
    font-size: 0.8rem;
    visibility: visible;
}

@media (hover: none) {
    #records-list li a .meta-artist {
        font-size: 0.8rem;
        visibility: visible;
    }
}

#records-list li a .meta-title {
    /* padding-top: 0.5rem; */
    /* font-size: 1.4rem; */
    font-weight: bold;
    text-transform: lowercase;
}

#records-list li a .obi {
    width: 30%;
    background-image: 
        radial-gradient(var(--vinyl-color-secondary) 20%, transparent 90%);
    background-size: 5px 5px;
    background-position: center center;
    /* background-color: var(--vinyl-color-secondary); */
    padding: 0.5rem;
    overflow: hidden;
    /* letter-spacing: -3px; */
    writing-mode: vertical-lr;
    text-orientation: mixed;
    text-align: left;
    flex-shrink: 0;
    text-wrap: nowrap;
    text-overflow: ellipsis;
    font-size: 0.8rem;
}

#records-list li a img {
    width: 20px;
}

#records-list li a .obi > span {
    background-color: var(--vinyl-color);
    color: var(--vinyl-color-text);
    /* mix-blend-mode: exclusion; */
    /* -webkit-text-stroke: 1px solid #fff; */
    /* opacity: 0.3; */
}

.front {
    width: 100%;
    height: var(--record-size);
    background-color: var(--color);
    color: var(--background);
    outline: 2px solid var(--color);
    position: relative;
    padding: 1rem;
    text-transform: lowercase;
    text-align: center;
    /* font-size: 0.7rem; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: sticky;
    bottom: 12px;
    box-shadow: 0 -8px 0px rgba(0, 0, 0, 0.8);
    border-top: 2px groove var(--color);
}

.front .title {
    font-weight: bold;
    text-transform: lowercase;
}

.front .desc {
    font-size: 0.7rem;
    text-transform: uppercase;
}

@media (hover: none) {
    #records-list li {
        height: min(20vw, 80px);
    }
}

/* SINGLE */
body.lp-single {
    padding-top: 0;
    padding-bottom: 0;
    background-position: center center;
    background-color: color-mix(in srgb, var(--background), #000 40%);
    min-height: 100%;
    /* display: block; */
    background-image: radial-gradient(circle at center, var(--color) 60%, transparent 60%);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
}

main.single {
    background-color: var(--background);
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    border-left: 1px ridge var(--background-secondary);
    border-right: 1px ridge var(--background-secondary);
}

main.single .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    --padding: 1rem;
}

main.single p.artist {
    margin: 1rem 0;
    font-weight: bold;
    background-color: var(--background-secondary);
    color: var(--color-secondary);
    text-transform: lowercase;
    text-align: center;
    padding: 0.2rem;
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
}

.h1 {
    font-weight: bold;
    text-transform: lowercase;
    font-size: max(5vw, 3rem);
    line-height: 0.9;
    text-align: center;
    margin: 2rem 0;
    letter-spacing: -2px;
}

main.single .details-container {
    display: flex;
    width: 100%;
    /* background-image: radial-gradient(var(--color-secondary) 30%, transparent 31%); */
    background-size: 4px 4px;
    margin-bottom: auto;
}

main.single ul.genres {
    list-style: none;
    margin: 0;
    display: flex;
    align-items: center;
}

main.single ul.genres li {
    writing-mode: vertical-rl;
    text-orientation: upright;
    font-weight: bold;
    text-transform: lowercase;
    /* letter-spacing: -2px; */
    background-color: var(--background-secondary);
    color: var(--color-secondary);
    display: inline;
}

main.single .cover-container {
    border: 5rem ridge var(--background-secondary);
}

main.single img.cover-art {
    display: block;
    width: 100%;
    max-width: 500px;
}

main.single .border {
    width: 100%;
    height: 10px;
    flex-shrink: 0;
    background-image: linear-gradient(to right, var(--background-secondary) 70%, var(--color-secondary) 71%);
    background-size: 15%;
    /* border-bottom: 1px solid var(--background-secondary);
    border-top: 1px solid var(--background-secondary); */
}

main.single .tracklist {
    padding: var(--padding);
    margin-bottom: auto;
}

main.single table {
    border: 0;
    /* table-layout: fixed; */
    border-collapse: collapse;
}

main.single table thead td {
    border-top: 0;
    font-weight: bold;
    text-transform: lowercase;
}

main.single table tr :nth-child(1), 
main.single table tr :nth-child(3) {
    width: 1%;
}

main.single table tr :nth-child(1) {
    padding-right: 1rem;
}

main.single table tr:hover td {
    background-color: var(--background-secondary);
    color: var(--color-secondary);
}

main.single table td {
    border-left: 0;
    border-right: 0;
    border-style: groove;
    border-color: var(--background-secondary);
}

main.single .record-labels {
    list-style: none;
    margin: 0;
    /* padding: var(--padding); */
    display: flex;
    justify-content: center;
    /* flex-wrap: wrap; */
    /* overflow: auto; */
    align-items: start;
    /* flex-grow: 1; */
    border-top: 1px solid var(--background-secondary);
    border-bottom: 1px solid var(--background-secondary);
    background-image: radial-gradient(var(--background-secondary) 80%, transparent 81%);
    background-size: 3px 3px;
}

main.single .record-labels li {
    outline: 1px solid var(--background-secondary);
    display: flex;
    flex-direction: column;
    background-color: var(--background);
}

main.single .record-labels li span {
    display: block;
    text-align: center;
    font-size: 0.8rem;
    padding: 0.2rem 0.5rem;
}

main.single .record-labels li span.label-catno {
    font-size: 0.6rem;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    background-color: var(--background-secondary);
    color: var(--color-secondary);
}

main.single .links {
    display: flex;
    justify-content: center;
}

main.single .links a {
    font-weight: bold;
    text-transform: lowercase;
    display: block;
    width: 100%;
    text-align: center;
    padding: 0.5rem;
    outline: 1px solid var(--background-secondary);
    background-color: var(--background);
    text-decoration: none;
}